Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class Profile

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.BaseAgent
              com.autonomy.aci.businessobjects.Profile

All Implemented Interfaces:
  java.io.Serializable

public class Profile
extends BaseAgent

Class to represent a user profile as created and managed by IDOL server. The profile's ID, to be used when identifying the profile to IDOL using the 'pid' parameter in Profile type actions, is obtained using:

`String sID = profile.getProfileID()`

and the profile name, available through `profile.getProfilename()` is defined to be the same as the owner name (available through `profile.getOwnername()`).

Although access methods are given for modifying a profile's properties, the profiles managed by IDOL server are read only and there is no method for updating profiles in `NoreService`.

See Also:
  Serialized Form

Constructor Summary
`Profile()` Construct a profile with no name, ID or information.
`Profile(java.lang.String sProfileID)` Construct a profile with a given ID but with no name or information.

Method Summary
`int` | `getDivision()` Read the division the profile belongs to.
`java.lang.String` | `getName()` Gives the name of the owner of this profile since profiles do not have names as such.
`java.lang.String` | `getNamedArea()` Read the named area the profile belongs to.
`java.lang.String` | `getProfileID()` Read the unique ID of the profile.
`java.lang.String` | `getProfilename()` Gives the name of the owner of this profile since profiles do not have names as such.
`void` | `setDivision(int nDivision)` Set the division that a profile belongs to.
`void` | `setNamedArea(java.lang.String sNamedArea)` Set the named area that a profile belongs to.
`void` | `setProfileID(java.lang.String sProfileID)` Set the unique ID of a profile.

Methods inherited from class com.autonomy.aci.businessobjects.BaseAgent
`getOwnerID, getOwnername, setName, setOwnerID, setOwnername`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Profile

    public Profile()

  Construct a profile with no name, ID or information.

### Profile

    public Profile(java.lang.String sProfileID)

  Construct a profile with a given ID but with no name or information.

Parameters:
  `sProfileID` - the unique ID of the profile, usually as read from the `NoreConstants.PROFILE_ID_TAG` ("autn:id") entry of a ProfileRead action.

Method Detail

### setProfileID

    public void setProfileID(java.lang.String sProfileID)

  Set the unique ID of a profile.

  Parameters:
    `sProfileID` - the unique ID of the profile, usually as read from the `NoreConstants.PROFILE_ID_TAG` ("autn:id") entry of a ProfileRead action.

### setNamedArea

    public void setNamedArea(java.lang.String sNamedArea)

  Set the named area that a profile belongs to.

  Parameters:
    `sNamedArea` - the named area of the profile, usually as read from the `NoreConstants.PROFILE_NAMED_AREA_TAG` ("autn:namedarea") entry of a ProfileRead action.

### setDivision

    public void setDivision(int nDivision)

  Set the division that a profile belongs to.

  Parameters:
    `nDivision` - the division of the profile, usually as read from the `NoreConstants.PROFILE_DIVISION_TAG` ("autn:division") entry of a ProfileRead action.

### getProfileID

    public java.lang.String getProfileID()

  Read the unique ID of the profile. This can be used to identify the profile with the "pid" parameter.

  Returns:
    the unique ID of the profile.

### getNamedArea

    public java.lang.String getNamedArea()

  Read the named area the profile belongs to.

  Returns:
    the named area the profile belongs to.

### getDivision

    public int getDivision()

  Read the division the profile belongs to.

  Returns:
    the division the profile belongs to.

### getName

    public java.lang.String getName()

  Gives the name of the owner of this profile since profiles do not have names as such.

  Overrides:
    `getName` in class `BaseAgent`
  Returns:
    the name of the profile's owner.

### getProfilename

    public java.lang.String getProfilename()

  Gives the name of the owner of this profile since profiles do not have names as such.

  Returns:
    the name of the profile's owner.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD